sample_data_frame Struct Reference

sample data-frame structure with multiple bm vectors More...

Collaboration diagram for sample_data_frame:
[legend]

## Public Member Functions

| sample_data_frame ()

## Data Fields

rsc_sparse_vector_u32 | csv1
rsc_sparse_vector_u32 | csv2
rsc_sparse_vector_u32 | csv3
sparse_vector_u16 | sv0

## Detailed Description

sample data-frame structure with multiple bm vectors

Examples
  rscsample05.cpp.

Definition at line 62 of file rscsample05.cpp.

## Constructor & Destructor Documentation

## sample_data_frame()

sample_data_frame::sample_data_frame | ( |  | ) |

inline

Examples
  rscsample05.cpp.

Definition at line 70 of file rscsample05.cpp.

References sv0.

## Field Documentation

## csv1

rsc_sparse_vector_u32 sample_data_frame::csv1

Examples
  rscsample05.cpp.

Definition at line 64 of file rscsample05.cpp.

Referenced by deserialize_df0(), deserialize_df2(), fill_test_data(), raw_data_size(), serialize_df0(), serialize_df2(), and test_data().

## csv2

rsc_sparse_vector_u32 sample_data_frame::csv2

Examples
  rscsample05.cpp.

Definition at line 65 of file rscsample05.cpp.

Referenced by deserialize_df0(), deserialize_df2(), fill_test_data(), raw_data_size(), serialize_df0(), serialize_df2(), and test_data().

## csv3

rsc_sparse_vector_u32 sample_data_frame::csv3

Examples
  rscsample05.cpp.

Definition at line 66 of file rscsample05.cpp.

Referenced by deserialize_df0(), deserialize_df2(), fill_test_data(), raw_data_size(), serialize_df0(), serialize_df2(), and test_data().

## sv0

sparse_vector_u16 sample_data_frame::sv0

Examples
  rscsample05.cpp.

Definition at line 68 of file rscsample05.cpp.

Referenced by deserialize_df0(), deserialize_df2(), fill_test_data(), raw_data_size(), sample_data_frame(), serialize_df0(), serialize_df2(), and test_data().

The documentation for this struct was generated from the following file:

- rscsample05.cpp